Bug 167805 - Evolution checks for mail even in inactive folders.
Evolution checks for mail even in inactive folders.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2005-09-08 08:55 EDT by David Woodhouse
Modified: 2008-07-01 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-01 12:52:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Somewhat hackish patch. (6.32 KB, patch)
2005-09-08 08:56 EDT, David Woodhouse
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 336074 None None None Never

  None (edit)
Description David Woodhouse 2005-09-08 08:55:34 EDT
Evolution is unresponsive to user requests while it's busy using the IMAP server
to check for mail in new folders. It doesn't seem capable of prioritising IMAP
commands due to direct user action above the background checks for new mail.

What makes this _much_ worse, however, is the fact that Evolution will check for
mail in _all_ folders, not just in active folders. This wastes a lot of time and
network traffic.

For a while, I've had a patch which corrects this behaviour by checking for new
mail only in folders which are marked as active on the IMAP server. This patch
makes the difference between Evolution actually being usable when connected by
GPRS, and not being usable.

It's not really appropriate for upstream inclusion as-is, but I haven't bothered
to tidy it up because even the patches which _are_ appropriate for upstream are
generally too painful to get past the Ximian monkeys. See the discussion about
the simple fix for bug #151121, for example.
Comment 1 David Woodhouse 2005-09-08 08:56:19 EDT
Created attachment 118594 [details]
Somewhat hackish patch.
Comment 2 David Woodhouse 2006-03-26 08:04:03 EST
There are updated patches for this in the GNOME bug and in RH bug #183219
Comment 3 Christopher Aillon 2007-10-31 08:49:42 EDT
Let's try to get this for f9.
Comment 4 Milan Crha 2008-04-08 04:57:42 EDT
Hi David, we did some work in upstream bug and it's in trunk since  2007-12-11,
so in F9 2.22.0 I think. I know you had some comments in upstream bug, but can
we close this please?
Comment 5 David Woodhouse 2008-04-08 05:05:03 EDT
What's implemented upstream isn't particularly useful, although it's good
progress. It really does need to be using the 'active folder' information from
the IMAP server instead of require manual configuration which has to be
reproduced, with the mouse, on every client computer. And kept up to date when
new folders are added.

Close it WONTFIX if you must, but it's not resolved in rawhide yet.
Comment 6 Milan Crha 2008-04-08 05:34:46 EDT
OK, we should reopen the upstream bug then.
Comment 8 Milan Crha 2008-07-01 07:59:49 EDT
David, when I was looking around within other bug fix, then I noticed the
subscriptions on IMAP are used to create/remove folders, thus I guess you do not
see your folders which you unsubscribe, do you? All the logic in the code as I
noticed is just like that, unsubscribe means similar thing as delete on
providers with this capability (thus on an IMAP too).

As I understand it, then if you see that folder even after unsubscribe, then
that's the bug, not the feature. I can be wrong here, though.

The only thing I want to say is that the subscriptions on an IMAP account has
its meaning already.
Comment 9 David Woodhouse 2008-07-01 09:42:16 EDT
That's optional, and I have the 'show only subscribed folders' option turned
off. It doesn't make much sense with dedicated mailstores -- it was more useful
for stuff like wu-imapd which would show the whole of your home directory.

According to the IMAP specs, subscription status means that the folder is
"active", with no further definition of what that means in practice.

An interpretation which _does_ make sense with dedicated mailstores is that
those are the folders in which you want to check for new mail...
Comment 10 Milan Crha 2008-07-01 11:36:20 EDT
I see, I overlooked that option :( Will it make sense to have there one more
option, "Check for new messages in subscribed folders only"? I'm not sure
whether to keep or not to keep the old option for that checking, but I would
prefer to keep it (or will it be too confusing?)
Comment 11 Milan Crha 2008-07-01 12:52:00 EDT
Finally moving this upstream (I reopened the bug), we will not do this in Fedora
only, but will rather coordinate with them. Please move any other discussion
there. Thanks in advance.

http://bugzilla.gnome.org/show_bug.cgi?id=336074

Note You need to log in before you can comment on or make changes to this bug.